%define        gimpver          2.0
%define        _gimppluginsdir  %{_libdir}/gimp/%{gimpver}/plug-ins

Name:          gimp-separate+
Version:       0.5.8
Release:       2%{?dist}
Summary:       A plug-in providing rudimentary CMYK support for The GIMP
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           http://cue.yellowmagic.info/softwares/separate.html
Source:        http://gimp-registry.fargonauten.de/files/separate+-%{version}.zip
License:       GPLv2+
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: glibc-devel
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: gimp-devel
BuildRequires: glib2-devel >= %{gimpver}
BuildRequires: gtk2-devel
BuildRequires: lcms-devel
BuildRequires: pango-devel
BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel

Provides:	gimp-cmyk

Requires:      gimp >= %{gimpver}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root


%description
Separate+ is a GIMP plug-in that convert an RGB image to CMYK format.

%prep

%setup -q  -n separate+-%{version}

%build
# XXX to fix "/usr/bin/ld: psd.o: undefined reference to symbol
# 'ceil@@GLIBC_2.2.5'" we hijack JPEG_LIB to pass additional stuff
%{__make} %{?_smp_mflags} \
	JPEG_LIB="-ljpeg -lm"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m755 separate \
   %{buildroot}%{_gimppluginsdir}/separate
install -D -m755 separate_import \
   %{buildroot}%{_gimppluginsdir}/separate_import 
install -D -m755 icc_colorspace \
   %{buildroot}%{_gimppluginsdir}/icc_colorspace 

mkdir -p %{buildroot}%{_datadir}/color/icc

cp sRGB/sRGB_type2.icc  %{buildroot}%{_datadir}/color/icc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_gimppluginsdir}/separate
%{_gimppluginsdir}/separate_import
%{_gimppluginsdir}/icc_colorspace
%{_datadir}/color/icc/*.icc
%doc COPYING README README_ICC_COLORSPACE

%changelog
* Thu Jul  5 2012 Peter Hanecak <hany@hany.sk> 0.5.8-2
- build requires libjpeg-devel

* Sat Jan 15 2011 Peter Hanecak <hany@hany.sk> 0.5.8-1
- updated to 0.5.8

* Fri Jun  4 2010 Peter Hanecak <hany@hany.sk> 0.5.7-2
- fix for "/usr/bin/ld: psd.o: undefined reference to symbol
  'ceil@@GLIBC_2.2.5'"

* Fri Jun  4 2010 Peter Hanecak <hany@hany.sk> 0.5.7-1
- updated to 0.5.7

* Sun Dec 27 2009 Peter Hanecak <hany@hany.sk> 0.5.5-1
- updated to 0.5.5

* Wed Nov  4 2009 Peter Hanecak <hany@hany.sk> 0.5.4-1
- updated to 0.5.4

* Tue Nov 25 2008 Peter Hanecak <hany@hany.sk> 0.5.3-1
- fixed URL

* Tue Aug 26 2008 Peter Hanecak <hany@hany.sk> 0.5.2-1
- updated to 0.5.2
- adapted to Doors (Fedora)

* Wed Mar 05 2008 Tiziana Ferro <tiziana.ferro@email.it> 0.5.0-1mamba
- package created by autospec
